Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 33507 - Translation of "Wikipedia" namespace in Assamese for Assamese Wikipedia
Translation of "Wikipedia" namespace in Assamese for Assamese Wikipedia
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Niklas Laxström
: i18n, shell
Depends on:
Blocks: 40760
  Show dependency treegraph
 
Reported: 2012-01-04 10:45 UTC by wikichaipau
Modified: 2012-10-04 09:53 UTC (History)
15 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description wikichaipau 2012-01-04 10:45:13 UTC
Currently, the "Wikipedia" namespace on the Assamese wikipedia (http://as.wikipedia.org/wiki) is in English.  That is, the Wikipedia namespace is "Wikipedia" and Wikipedia_talk is "Wikipedia_বাৰ্তা".  We would prefer them to be aliased to:

Wikipedia -> ৱিকিপিডিয়া
Wikipedia_talk -> ৱিকিপিডিয়া_বাৰ্তা

Thanks,
Comment 1 wikichaipau 2012-01-05 16:24:43 UTC
Addendum: It seems that the alias exists but it is in the wrong direction.  That is, ৱিকিপিডিয়া
 is aliased to Wikipedia, whereas we want the opposite: Wikipedia aliased to ৱিকিপিডিয়া (and the talk pages), as stated above.
Comment 2 Sam Reed (reedy) 2012-01-13 01:32:16 UTC
As in, you want the localised version to be the default, but with the english/canonical version to be available to use?
Comment 3 Sam Reed (reedy) 2012-01-13 01:41:46 UTC
Can you confirm this is ok now?

https://as.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=general|namespaces|namespacealiases


      <ns id="4" case="first-letter" subpages="" canonical="Project" xml:space="preserve">ৱিকিপিডিয়া </ns>
      <ns id="5" case="first-letter" subpages="" canonical="Project talk" xml:space="preserve">ৱিকিপিডিয়া বাৰ্তা</ns>

      <ns id="4" xml:space="preserve">Wikipedia</ns>
      <ns id="5" xml:space="preserve">Wikipedia talk</ns>
      <ns id="4" xml:space="preserve">প্ৰকল্প</ns>
      <ns id="5" xml:space="preserve">প্ৰকল্প আলোচনা</ns>
Comment 4 Shiju Alex 2012-01-13 03:12:40 UTC
I think there is some issue with the current word used. Now it is not possible retrieve any pages under Wikipedia namespace. For example, this one: http://as.wikipedia.org/wiki/%E0%A7%B1%E0%A6%BF%E0%A6%95%E0%A6%BF%E0%A6%AA%E0%A6%BF%E0%A6%A1%E0%A6%BF%E0%A7%9F%E0%A6%BE_:Meetup/GAU1

I found there is a space just before colon (:). Is that is creating the issue? Chaipu could you please verify this?
Comment 5 Shiju Alex 2012-01-13 14:45:23 UTC
Could this be taken care on high priority? All the pages under Wikipedia namespace are missing now.
Comment 6 wikichaipau 2012-01-13 16:18:09 UTC
This is not working.  As Shiju has mentioned some namespaces have become inaccessible.  Also, the latest changes has mixed up Wikipedia and Project namespaces.

Wikipedia -> ৱিকিপিডিয়া
Wikipedia_talk -> ৱিকিপিডিয়া বাৰ্তা
Project -> প্ৰকল্প
Project_talk -> প্ৰকল্প বাৰ্তা

Please also note that there should be no space after ৱিকিপিডিয়া  
Please consider this in high priority.
Comment 7 Niklas Laxström 2012-01-13 16:39:49 UTC
Project is an alias to Wikipedia namespace. They are not different namespaces, unless you have requested an extra namespace with localised name, but aswiki hasn't.

The issue with trailing space has been fixed by someone. Can you confirm pages can be accessed now?
Comment 8 Daniel Zahn 2012-01-13 17:03:46 UTC
removed the extra whitespace:



Index: InitialiseSettings.php
===================================================================
--- InitialiseSettings.php      (revision 2793)
+++ InitialiseSettings.php      (working copy)
@@ -1614,7 +1614,7 @@
        'arzwiki'               => 'ويكيبيديا',
        'astwiki'       => 'Uiquipedia',
        'astwiktionary' => 'Uiccionariu',
-       'aswiki'        => 'ৱিকিপিডিয়া ',
+       'aswiki'        => 'ৱিকিপিডিয়া',
        'auditcomwiki'  => 'Project',
        'aywiki'        => 'Wikipidiya',
        'azwiki'        => 'Vikipediya',


svn diff | xxd -ps

496e6465783a20496e697469616c69736553657474696e67732e7068700a
3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d
3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d
3d3d3d3d3d3d3d0a2d2d2d20496e697469616c69736553657474696e6773
2e70687009287265766973696f6e2032373933290a2b2b2b20496e697469
616c69736553657474696e67732e7068700928776f726b696e6720636f70
79290a4040202d313631342c37202b313631342c372040400a2009276172
7a77696b692709093d3e2027d988d98ad983d98ad8a8d98ad8afd98ad8a7
272c0a20092761737477696b6927202020202020203d3e20275569717569
7065646961272c0a20092761737477696b74696f6e61727927203d3e2027
55696363696f6e61726975272c0a2d0927617377696b6927093d3e2027e0
a7b1e0a6bfe0a695e0a6bfe0a6aae0a6bfe0a6a1e0a6bfe0a79fe0a6be20
272c0a2b0927617377696b6927093d3e2027e0a7b1e0a6bfe0a695e0a6bf
e0a6aae0a6bfe0a6a1e0a6bfe0a6afe0a6bce0a6be272c0a200927617564
6974636f6d77696b692720203d3e202750726f6a656374272c0a20092761
7977696b692720202020202020203d3e202757696b69706964697961272c
0a200927617a77696b692720202020202020203d3e202756696b69706564
697961272c0a

--

is it ok now?
Comment 9 wikichaipau 2012-01-13 17:08:23 UTC
thanks, it is working now.  i am marking the bug "fixed".
Comment 10 Sam Reed (reedy) 2012-01-13 17:21:19 UTC
(In reply to comment #8)
> removed the extra whitespace:
> 
> 
> 
> Index: InitialiseSettings.php
> ===================================================================
> --- InitialiseSettings.php      (revision 2793)
> +++ InitialiseSettings.php      (working copy)
> @@ -1614,7 +1614,7 @@
>         'arzwiki'               => 'ويكيبيديا',
>         'astwiki'       => 'Uiquipedia',
>         'astwiktionary' => 'Uiccionariu',
> -       'aswiki'        => 'ৱিকিপিডিয়া ',
> +       'aswiki'        => 'ৱিকিপিডিয়া',
>         'auditcomwiki'  => 'Project',
>         'aywiki'        => 'Wikipidiya',
>         'azwiki'        => 'Vikipediya',
> 
> 
> svn diff | xxd -ps
> 
> 496e6465783a20496e697469616c69736553657474696e67732e7068700a
> 3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d
> 3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d
> 3d3d3d3d3d3d3d0a2d2d2d20496e697469616c69736553657474696e6773
> 2e70687009287265766973696f6e2032373933290a2b2b2b20496e697469
> 616c69736553657474696e67732e7068700928776f726b696e6720636f70
> 79290a4040202d313631342c37202b313631342c372040400a2009276172
> 7a77696b692709093d3e2027d988d98ad983d98ad8a8d98ad8afd98ad8a7
> 272c0a20092761737477696b6927202020202020203d3e20275569717569
> 7065646961272c0a20092761737477696b74696f6e61727927203d3e2027
> 55696363696f6e61726975272c0a2d0927617377696b6927093d3e2027e0
> a7b1e0a6bfe0a695e0a6bfe0a6aae0a6bfe0a6a1e0a6bfe0a79fe0a6be20
> 272c0a2b0927617377696b6927093d3e2027e0a7b1e0a6bfe0a695e0a6bf
> e0a6aae0a6bfe0a6a1e0a6bfe0a6afe0a6bce0a6be272c0a200927617564
> 6974636f6d77696b692720203d3e202750726f6a656374272c0a20092761
> 7977696b692720202020202020203d3e202757696b69706964697961272c
> 0a200927617a77696b692720202020202020203d3e202756696b69706564
> 697961272c0a
> 
> --
> 
> is it ok now?


It'd be nice if all browsers/text editors would work correctly, it seems to pick up the whitespace from somewhere, and then the cursor messes around
Comment 11 wikichaipau 2012-01-13 17:33:07 UTC
I am reopening this bug because the talk pages are now inaccessible.  Example:

http://as.wikipedia.org/wiki/Wikipedia:Meetup/GAU1

Please click on the talk page.  There used to be a page there, now it is
inaccessible.
Comment 12 jeremyb 2012-01-13 17:37:31 UTC
original first, then current live value:

>>> print "\n".join(repr(s.decode('utf-8')) for s in ("\xe0\xa7\xb1\xe0\xa6\xbf\xe0\xa6\x95\xe0\xa6\xbf\xe0\xa6\xaa\xe0\xa6\xbf\xe0\xa6\xa1\xe0\xa6\xbf\xe0\xa7\x9f\xe0\xa6\xbe\x20","\xe0\xa7\xb1\xe0\xa6\xbf\xe0\xa6\x95\xe0\xa6\xbf\xe0\xa6\xaa\xe0\xa6\xbf\xe0\xa6\xa1\xe0\xa6\xbf\xe0\xa6\xaf\xe0\xa6\xbc\xe0\xa6\xbe"))
u'\u09f1\u09bf\u0995\u09bf\u09aa\u09bf\u09a1\u09bf\u09df\u09be '
u'\u09f1\u09bf\u0995\u09bf\u09aa\u09bf\u09a1\u09bf\u09af\u09bc\u09be'

ৱিকিপিডিয়া 
ৱিকিপিডিয়া

Looks like it's 1 char longer? 1 was replaced with 2 new ones. I'm just seeing boxes (not letters, must need a font) so I definitely could use some help from a native.

Anyway, maybe we need namespaceDupes.php once we settle on a name?
Comment 13 wikichaipau 2012-01-13 17:39:03 UTC
Additionally, the talk pages are currently not accessible probably because the originally Wikipedia_talk was aliased to "Wikipedia_বাৰ্তা".  Please look at my original bug description.
Comment 14 Shiju Alex 2012-01-13 17:40:47 UTC
I think this time the issue arised due to a different reason. I am not sure about this. But this could be a reason.

Before the current fix, the namespace for wikipedia talk page was "Wikipedia_বাৰ্তা" (Mix of English and Assamese). Now it is completely Assamese. So to retrieve the old talk pages we might need to create another alias with the name "Wikipedia_বাৰ্তা"
Comment 15 wikichaipau 2012-01-13 17:45:25 UTC
(In reply to comment #12)
> original first, then current live value:
> 
> >>> print "\n".join(repr(s.decode('utf-8')) for s in ("\xe0\xa7\xb1\xe0\xa6\xbf\xe0\xa6\x95\xe0\xa6\xbf\xe0\xa6\xaa\xe0\xa6\xbf\xe0\xa6\xa1\xe0\xa6\xbf\xe0\xa7\x9f\xe0\xa6\xbe\x20","\xe0\xa7\xb1\xe0\xa6\xbf\xe0\xa6\x95\xe0\xa6\xbf\xe0\xa6\xaa\xe0\xa6\xbf\xe0\xa6\xa1\xe0\xa6\xbf\xe0\xa6\xaf\xe0\xa6\xbc\xe0\xa6\xbe"))
> u'\u09f1\u09bf\u0995\u09bf\u09aa\u09bf\u09a1\u09bf\u09df\u09be '
> u'\u09f1\u09bf\u0995\u09bf\u09aa\u09bf\u09a1\u09bf\u09af\u09bc\u09be'
> 
> ৱিকিপিডিয়া 
> ৱিকিপিডিয়া
> 
> Looks like it's 1 char longer? 1 was replaced with 2 new ones. I'm just seeing
> boxes (not letters, must need a font) so I definitely could use some help from
> a native.
> 

from unicode \u09df is canonically equivalent to \u09af\u09bc. they are exactly same, except for normalization.

http://www.fileformat.info/info/unicode/char/9DF/index.htm
Comment 16 Daniel Zahn 2012-01-13 17:49:28 UTC

ৱিকিপিডিয়া 
ৱিকিপিডিয়া

I got the fonts installed, so i do see letters and not boxes, and, not understanding a word of the language, but it _looks_ the same, minus a whitespace.
Comment 17 wikichaipau 2012-01-13 18:01:14 UTC
(In reply to comment #16)
> 
> ৱিকিপিডিয়া 
> ৱিকিপিডিয়া
> 
> I got the fonts installed, so i do see letters and not boxes, and, not
> understanding a word of the language, but it _looks_ the same, minus a
> whitespace.

they are two equivalent forms of the same letter য় and য়.  the second example is the two code-point decomposition of the first.  this issue causes us some amount of grief on wikipedia, and i don't know what the resolution would be, because it gets pushed to unicode/cldr.  there are two other letters in assamese/bengali with this problem.

in this namespace example, i think the undecomposed single code-point form is more appropriate.
Comment 18 Shiju Alex 2012-01-16 14:36:30 UTC
Could some one please look into this. 

Due to the issue mentioned in the last few comments of this bug, the "Wikipedia_talk" namespace is not working in Assamese wikipedia.  

Thanks

Shiju
Comment 19 Sam Reed (reedy) 2012-01-16 16:49:01 UTC
(In reply to comment #18)
> Could some one please look into this. 
> 
> Due to the issue mentioned in the last few comments of this bug, the
> "Wikipedia_talk" namespace is not working in Assamese wikipedia.  
> 
> Thanks
> 
> Shiju

https://as.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=namespaces|namespacealiases

That looks all correct...
Comment 20 wikichaipau 2012-01-16 19:07:08 UTC
(In reply to comment #19)
> (In reply to comment #18)
> > Could some one please look into this. 
> > 
> > Due to the issue mentioned in the last few comments of this bug, the
> > "Wikipedia_talk" namespace is not working in Assamese wikipedia.  
> > 
> > Thanks
> > 
> > Shiju
> 
> https://as.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=namespaces|namespacealiases
> 
> That looks all correct...

i think the following is missing from namespacealiases, which is why the talk page cannot be accessed:

<ns id="5" xml:space="preserve">Wikipedia বার্তা</ns>
Comment 21 Sam Reed (reedy) 2012-01-16 19:08:14 UTC
Did you/do you have pages with that NS/prefix in use?
Comment 22 wikichaipau 2012-01-16 22:24:09 UTC
(In reply to comment #21)
> Did you/do you have pages with that NS/prefix in use?

yes.  those are the inaccessible pages.
Comment 23 Sam Reed (reedy) 2012-01-16 22:58:50 UTC
Is it just these pages?


reedy@fenari:~$ mwscript namespaceDupes.php aswiki
... 4440 (0,"ৱিকিপিডিয়া:ভাঙনি") -> (4,"ভাঙনি") [[ৱিকিপিডিয়া:ভাঙনি]]
...  *** cannot resolve automatically; page exists with ID 1024 ***
... 2817 (0,"ৱিকিপিডিয়া:সমজুৱা_পৃষ্ঠা") -> (4,"সমজুৱা_পৃষ্ঠা") [[ৱিকিপিডিয়া:সমজুৱা পৃষ্ঠা]]
...  *** cannot resolve automatically; page exists with ID 2820 ***
... 4825 (0,"ৱিকিপিডিয়া:ৰচনাশৈলীৰ_হাতপুথি") -> (4,"ৰচনাশৈলীৰ_হাতপুথি") [[ৱিকিপিডিয়া:ৰচনাশৈলীৰ হাতপুথি]]
...  *** cannot resolve automatically; page exists with ID 4590 ***
... 5321 (0,"ৱিকিপিডিয়া:ৰাইজৰ_চ'ৰা") -> (4,"ৰাইজৰ_চ'ৰা") [[ৱিকিপিডিয়া:ৰাইজৰ চ'ৰা]]
...  *** cannot resolve automatically; page exists with ID 5338 ***

Oh noeees
Comment 24 wikichaipau 2012-01-17 10:54:01 UTC
(In reply to comment #23)
> Is it just these pages?
> 
> 
> reedy@fenari:~$ mwscript namespaceDupes.php aswiki
> ... 4440 (0,"ৱিকিপিডিয়া:ভাঙনি") -> (4,"ভাঙনি") [[ৱিকিপিডিয়া:ভাঙনি]]
> ...  *** cannot resolve automatically; page exists with ID 1024 ***
> ... 2817 (0,"ৱিকিপিডিয়া:সমজুৱা_পৃষ্ঠা") -> (4,"সমজুৱা_পৃষ্ঠা")
> [[ৱিকিপিডিয়া:সমজুৱা পৃষ্ঠা]]
> ...  *** cannot resolve automatically; page exists with ID 2820 ***
> ... 4825 (0,"ৱিকিপিডিয়া:ৰচনাশৈলীৰ_হাতপুথি") -> (4,"ৰচনাশৈলীৰ_হাতপুথি")
> [[ৱিকিপিডিয়া:ৰচনাশৈলীৰ হাতপুথি]]
> ...  *** cannot resolve automatically; page exists with ID 4590 ***
> ... 5321 (0,"ৱিকিপিডিয়া:ৰাইজৰ_চ'ৰা") -> (4,"ৰাইজৰ_চ'ৰা") [[ৱিকিপিডিয়া:ৰাইজৰ
> চ'ৰা]]
> ...  *** cannot resolve automatically; page exists with ID 5338 ***
> 
> Oh noeees

I don't know what the issues are with these pages, but we are more concerned with the one that used to be [[Wikipedia_বাৰ্তা:Meetup/GAU1]].  We are in the middle of setting up a meetup on January 29, 2012 and we used the talk page to discuss some issues,  Now we can't retrieve the talk we had.  The article page itself, [[Wikipedia:Meetup/GAU1]], is accessible.
Comment 25 Sam Reed (reedy) 2012-01-17 13:20:34 UTC
You have pages prefixed with something that clashes with NS 4s namespace and/or alias

So MW can't move them from the content mainspaces to the target pages in NS4
Comment 26 Shiju Alex 2012-01-18 00:12:07 UTC
In fact right now in Assamese wikipedia we are unable to create talk page for any page that comes under Wikipedia namespace. For example this page (http://as.wikipedia.org/wiki/%E0%A7%B1%E0%A6%BF%E0%A6%95%E0%A6%BF%E0%A6%AA%E0%A6%BF%E0%A6%A1%E0%A6%BF%E0%A6%AF%E0%A6%BC%E0%A6%BE_%E0%A6%AC%E0%A6%BE%E0%A7%B0%E0%A7%8D%E0%A6%A4%E0%A6%BE:%E0%A6%AE%E0%A6%A4%E0%A6%AC%E0%A6%BF%E0%A7%B0%E0%A7%8B%E0%A6%A7_%E0%A6%B8%E0%A6%AE%E0%A6%BE%E0%A6%A7%E0%A6%BE%E0%A6%A8) is supposed to be the talk page of this Wikipedia page (http://as.wikipedia.org/wiki/%E0%A7%B1%E0%A6%BF%E0%A6%95%E0%A6%BF%E0%A6%AA%E0%A6%BF%E0%A6%A1%E0%A6%BF%E0%A6%AF%E0%A6%BC%E0%A6%BE:%E0%A6%AE%E0%A6%A4%E0%A6%AC%E0%A6%BF%E0%A7%B0%E0%A7%8B%E0%A6%A7_%E0%A6%B8%E0%A6%AE%E0%A6%BE%E0%A6%A7%E0%A6%BE%E0%A6%A8)


As you can see these pages are not connected now. 

So there are 2 issues here.


1. We are unable to retrieve any old Wikipedia বার্তা (old "Wikipedia_talk" namespace) pages
2. We are unable to associate the new ৱিকিপিডিয়া বাৰ্তা (English alias = Wikipedia Talk) page to the corresponding ৱিকিপিডিয়া (English alias = Wikipedia) page.
Comment 27 Sam Reed (reedy) 2012-01-18 14:09:01 UTC
Ok, so https://as.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=namespaces|namespacealiases currently gives:

    <namespaces>
      <ns id="-2" case="first-letter" canonical="Media" xml:space="preserve">মাধ্যম</ns>
      <ns id="-1" case="first-letter" canonical="Special" xml:space="preserve">বিশেষ</ns>
      <ns id="0" case="first-letter" content="" xml:space="preserve" />
      <ns id="1" case="first-letter" subpages="" canonical="Talk" xml:space="preserve">বাৰ্তা</ns>
      <ns id="2" case="first-letter" subpages="" canonical="User" xml:space="preserve">সদস্য</ns>
      <ns id="3" case="first-letter" subpages="" canonical="User talk" xml:space="preserve">সদস্য বাৰ্তা</ns>
      <ns id="4" case="first-letter" subpages="" canonical="Project" xml:space="preserve">ৱিকিপিডিয়া</ns>
      <ns id="5" case="first-letter" subpages="" canonical="Project talk" xml:space="preserve">ৱিকিপিডিয়া বাৰ্তা</ns>
      <ns id="6" case="first-letter" canonical="File" xml:space="preserve">চিত্ৰ</ns>
      <ns id="7" case="first-letter" subpages="" canonical="File talk" xml:space="preserve">চিত্ৰ বাৰ্তা</ns>
      <ns id="8" case="first-letter" canonical="MediaWiki" xml:space="preserve">মেডিয়াৱিকি</ns>
      <ns id="9" case="first-letter" subpages="" canonical="MediaWiki talk" xml:space="preserve">মেডিয়াৱিকি বাৰ্তা</ns>
      <ns id="10" case="first-letter" subpages="" canonical="Template" xml:space="preserve">সাঁচ</ns>
      <ns id="11" case="first-letter" subpages="" canonical="Template talk" xml:space="preserve">সাঁচ বাৰ্তা</ns>
      <ns id="12" case="first-letter" subpages="" canonical="Help" xml:space="preserve">সহায়</ns>
      <ns id="13" case="first-letter" subpages="" canonical="Help talk" xml:space="preserve">সহায় বাৰ্তা</ns>
      <ns id="14" case="first-letter" canonical="Category" xml:space="preserve">শ্ৰেণী</ns>
      <ns id="15" case="first-letter" subpages="" canonical="Category talk" xml:space="preserve">শ্ৰেণী বাৰ্তা</ns>
      <ns id="100" case="first-letter" subpages="" canonical="ৱিকিচৰা" xml:space="preserve">ৱিকিচৰা</ns>
      <ns id="101" case="first-letter" subpages="" canonical="ৱিকিচৰা আলোচনা" xml:space="preserve">ৱিকিচৰা আলোচনা</ns>
    </namespaces>
    <namespacealiases>
      <ns id="4" xml:space="preserve">Wikipedia</ns>
      <ns id="5" xml:space="preserve">Wikipedia talk</ns>
      <ns id="4" xml:space="preserve">প্ৰকল্প</ns>
      <ns id="5" xml:space="preserve">প্ৰকল্প আলোচনা</ns>
      <ns id="6" xml:space="preserve">Image</ns>
      <ns id="7" xml:space="preserve">Image talk</ns>
      <ns id="-1" xml:space="preserve">विशेष</ns>
      <ns id="1" xml:space="preserve">वार्ता</ns>
      <ns id="1" xml:space="preserve">বার্তা</ns>
      <ns id="2" xml:space="preserve">सदस्य</ns>
      <ns id="3" xml:space="preserve">सदस्य वार्ता</ns>
      <ns id="3" xml:space="preserve">সদস্য বার্তা</ns>
      <ns id="6" xml:space="preserve">चित्र</ns>
      <ns id="7" xml:space="preserve">चित्र वार्ता</ns>
      <ns id="6" xml:space="preserve">চিত্র</ns>
      <ns id="7" xml:space="preserve">চিত্র বার্তা</ns>
      <ns id="9" xml:space="preserve">MediaWiki বার্তা</ns>
      <ns id="10" xml:space="preserve">साँचा</ns>
      <ns id="11" xml:space="preserve">साँचा वार्ता</ns>
      <ns id="11" xml:space="preserve">সাঁচ বার্তা</ns>
      <ns id="13" xml:space="preserve">সহায় বার্তা</ns>
      <ns id="14" xml:space="preserve">श्रेणी</ns>
      <ns id="15" xml:space="preserve">श्रेणी वार्ता</ns>
      <ns id="14" xml:space="preserve">শ্রেণী</ns>
      <ns id="15" xml:space="preserve">শ্রেণী বার্তা</ns>
      <ns id="5" xml:space="preserve">ৱিকিপিডিয়া वार्ता</ns>
      <ns id="5" xml:space="preserve">ৱিকিপিডিয়া বার্তা</ns>
    </namespacealiases>


Noc says the config is:


$wgMetaNamespace ৱিকিপিডিয়া
$wgMetaNamespaceTalk ৱিকিপিডিয়া_বাৰ্তা

Namespace aliases

    'aswiki' => array(
//        'ৱিকিপিডিয়া' => NS_PROJECT,
//        'ৱিকিপিডিয়া_আলোচনা' => NS_PROJECT_TALK,
        'Wikipedia' => NS_PROJECT,
        'Wikipedia_talk' => NS_PROJECT_TALK,
        'প্ৰকল্প' => NS_PROJECT,
        'প্ৰকল্প_আলোচনা' => NS_PROJECT_TALK,
    ),

Extra Namespaces
        'aswiki' => array(
            100 => 'ৱিকিচৰা', // Portal
            101 => 'ৱিকিচৰা_আলোচনা',// Portal talk
        ),
Comment 28 Sam Reed (reedy) 2012-01-18 14:12:41 UTC
Ok, so just added "Wikipedia বার্তা" as an alias

That is now listed in

    <namespacealiases>
      <ns id="4" xml:space="preserve">Wikipedia</ns>
      <ns id="5" xml:space="preserve">Wikipedia talk</ns>
      <ns id="4" xml:space="preserve">প্ৰকল্প</ns>
      <ns id="5" xml:space="preserve">প্ৰকল্প আলোচনা</ns>
      <ns id="5" xml:space="preserve">Wikipedia বার্তা</ns>
      <ns id="6" xml:space="preserve">Image</ns>
      <ns id="7" xml:space="preserve">Image talk</ns>
      <ns id="-1" xml:space="preserve">विशेष</ns>
      <ns id="1" xml:space="preserve">वार्ता</ns>
      <ns id="1" xml:space="preserve">বার্তা</ns>
      <ns id="2" xml:space="preserve">सदस्य</ns>
      <ns id="3" xml:space="preserve">सदस्य वार्ता</ns>
      <ns id="3" xml:space="preserve">সদস্য বার্তা</ns>
      <ns id="6" xml:space="preserve">चित्र</ns>
      <ns id="7" xml:space="preserve">चित्र वार्ता</ns>
      <ns id="6" xml:space="preserve">চিত্র</ns>
      <ns id="7" xml:space="preserve">চিত্র বার্তা</ns>
      <ns id="9" xml:space="preserve">MediaWiki বার্তা</ns>
      <ns id="10" xml:space="preserve">साँचा</ns>
      <ns id="11" xml:space="preserve">साँचा वार्ता</ns>
      <ns id="11" xml:space="preserve">সাঁচ বার্তা</ns>
      <ns id="13" xml:space="preserve">সহায় বার্তা</ns>
      <ns id="14" xml:space="preserve">श्रेणी</ns>
      <ns id="15" xml:space="preserve">श्रेणी वार्ता</ns>
      <ns id="14" xml:space="preserve">শ্রেণী</ns>
      <ns id="15" xml:space="preserve">শ্রেণী বার্তা</ns>
      <ns id="5" xml:space="preserve">ৱিকিপিডিয়া वार्ता</ns>
      <ns id="5" xml:space="preserve">ৱিকিপিডিয়া বার্তা</ns>
    </namespacealiases>

Still these pages at issue according ot namespace dupes

reedy@fenari:/home/wikipedia/common$ mwscript namespaceDupes.php aswiki
... 4440 (0,"ৱিকিপিডিয়া:ভাঙনি") -> (4,"ভাঙনি") [[ৱিকিপিডিয়া:ভাঙনি]]
...  *** cannot resolve automatically; page exists with ID 1024 ***
... 2817 (0,"ৱিকিপিডিয়া:সমজুৱা_পৃষ্ঠা") -> (4,"সমজুৱা_পৃষ্ঠা") [[ৱিকিপিডিয়া:সমজুৱা পৃষ্ঠা]]
...  *** cannot resolve automatically; page exists with ID 2820 ***
... 4825 (0,"ৱিকিপিডিয়া:ৰচনাশৈলীৰ_হাতপুথি") -> (4,"ৰচনাশৈলীৰ_হাতপুথি") [[ৱিকিপিডিয়া:ৰচনাশৈলীৰ হাতপুথি]]
...  *** cannot resolve automatically; page exists with ID 4590 ***
... 5321 (0,"ৱিকিপিডিয়া:ৰাইজৰ_চ'ৰা") -> (4,"ৰাইজৰ_চ'ৰা") [[ৱিকিপিডিয়া:ৰাইজৰ চ'ৰা]]
...  *** cannot resolve automatically; page exists with ID 5338 ***

Oh noeees
Comment 29 Siebrand Mazeland 2012-01-23 09:53:20 UTC
RobLa has escalated this issue to me, Erik, CT, Alolita, me, Sam, Tim after Shiju escalated it to Philippe. Just adding this here for record keeping, and to get rid of the e-mail thread...
Comment 30 Siebrand Mazeland 2012-01-23 09:55:25 UTC
I've asked Niklas and Santhosh to work on this together. Niklas has shell access and knows a little about language support. Santhosh does not have shell access, but it able to read the script.
Comment 31 Sam Reed (reedy) 2012-01-23 14:44:54 UTC
(In reply to comment #30)
> I've asked Niklas and Santhosh to work on this together. Niklas has shell
> access and knows a little about language support. Santhosh does not have shell
> access, but it able to read the script.

Cheers.

I can help if I'm about.

Certainly one of these things that when you don't read the language, and more so, not being a latin based alphabet, gets to be rather hard to distinguish characters, especially in some cases when for example the browser find function matches different characters - and even as per comments 16/17
Comment 32 Santhosh Thottingal 2012-01-23 15:43:12 UTC
There are 3 characters which can create problem here.

1. U+09DC BENGALI LETTER RRA has Canonical decomposition: U+09A1 BENGALI
LETTER DDA + U+09BC BENGALI SIGN NUKTA

2. U+09DD BENGALI LETTER RHA -U+09A2 BENGALI LETTER DDHA + U+09BC BENGALI
SIGN NUKTA

3. U+09DF BENGALI LETTER YYA  - U+09AF BENGALI LETTER YA + U+09BC BENGALI
SIGN NUKTA

These are involved in the name spaces. Unless you look at the code points, a browser search or visual appearance will not  show you the difference. I doubt somewhere in the configuration, this has been mixed up as noted in comment 12. And in comment i7 it was suggested to use non decomposed (atomic ) form for namespaces.  

So far I could not find where it is mixed up, but I hope this can give a clue.
Comment 33 Sam Reed (reedy) 2012-01-23 15:46:15 UTC
(In reply to comment #32)
> There are 3 characters which can create problem here.
> 
> 1. U+09DC BENGALI LETTER RRA has Canonical decomposition: U+09A1 BENGALI
> LETTER DDA + U+09BC BENGALI SIGN NUKTA
> 
> 2. U+09DD BENGALI LETTER RHA -U+09A2 BENGALI LETTER DDHA + U+09BC BENGALI
> SIGN NUKTA
> 
> 3. U+09DF BENGALI LETTER YYA  - U+09AF BENGALI LETTER YA + U+09BC BENGALI
> SIGN NUKTA
> 
> These are involved in the name spaces. Unless you look at the code points, a
> browser search or visual appearance will not  show you the difference. I doubt
> somewhere in the configuration, this has been mixed up as noted in comment 12.
> And in comment i7 it was suggested to use non decomposed (atomic ) form for
> namespaces.  
> 
> So far I could not find where it is mixed up, but I hope this can give a clue.

http://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php

Do you want a copy of the InitialiseSettings.php original from fenari? Might be easier to detect random characters and so forth, rather than one that's been slightly manipulated and then through a webserver and your browser
Comment 34 Santhosh Thottingal 2012-01-23 16:05:43 UTC
(In reply to comment #33)
> Do you want a copy of the InitialiseSettings.php original from fenari? Might be
> easier to detect random characters and so forth, rather than one that's been
> slightly manipulated and then through a webserver and your browser

Yes, please send to me and Niklas.
Comment 35 Santhosh Thottingal 2012-01-23 17:08:34 UTC
From the initialiiseSettings.php for wgMetaNamespaceTalk I got,
'aswiki' => 'ৱিকিপিডিয়া_বাৰ্তা',

If I get hexcodes, 
09F1 09BF 0995 09BF 09AA 09BF 09A1 09BF 09DF 09BE 005F 09AC 09BE 09F0 09CD 09A4 09BE
Now, If I save the string ''ৱিকিপিডিয়া_বাৰ্তা', in a page, once saved I get 
ৱিকিপিডিয়া_বাৰ্তা 
Hexcode for this is:
09F1 09BF 0995 09BF 09AA 09BF 09A1 09BF 09AF 09BC 09BE 005F 09AC 09BE 09F0 09CD 09A4 09BE 0020
That is decomposed form and different from what is given in wgMetaNamespaceTalk and possibly the reason for issue

And for wgMetaNamespace,
'aswiki'	=> 'ৱিকিপিডিয়া',
hexcode:
09F1 09BF 0995 09BF 09AA 09BF 09A1 09BF 09AF 09BC 09BE
and this is already decomposed form and there wont be anything broken.

So I guess the solution is to use decomposed form in initialiiseSettings.php
Comment 36 Sam Reed (reedy) 2012-01-23 17:46:25 UTC
I have just applied the changes requested by Santhosh

It looks from the talk page links above that it helps...

So if someone could confirm, that'd be great


Still a couple of issues according to namespaceDupes


reedy@fenari:/home/wikipedia/common$ mwscript namespaceDupes.php aswiki --fix
... 4440 (0,"ৱিকিপিডিয়া:ভাঙনি") -> (4,"ভাঙনি") [[ৱিকিপিডিয়া:ভাঙনি]]
...  *** cannot resolve automatically; page exists with ID 1024 ***
... 2817 (0,"ৱিকিপিডিয়া:সমজুৱা_পৃষ্ঠা") -> (4,"সমজুৱা_পৃষ্ঠা") [[ৱিকিপিডিয়া:সমজুৱা পৃষ্ঠা]]
...  *** cannot resolve automatically; page exists with ID 2820 ***
... 4825 (0,"ৱিকিপিডিয়া:ৰচনাশৈলীৰ_হাতপুথি") -> (4,"ৰচনাশৈলীৰ_হাতপুথি") [[ৱিকিপিডিয়া:ৰচনাশৈলীৰ হাতপুথি]]
...  *** cannot resolve automatically; page exists with ID 4590 ***
... 5321 (0,"ৱিকিপিডিয়া:ৰাইজৰ_চ'ৰা") -> (4,"ৰাইজৰ_চ'ৰা") [[ৱিকিপিডিয়া:ৰাইজৰ চ'ৰা]]
...  *** cannot resolve automatically; page exists with ID 5338 ***

Oh noeees
Comment 37 wikichaipau 2012-01-23 18:31:06 UTC
(In reply to comment #36)
> I have just applied the changes requested by Santhosh
> 
> It looks from the talk page links above that it helps...
> 
> So if someone could confirm, that'd be great

Thanks!

I could confirm that one of the talk pages which was inaccessible is now accessible: http://as.wikipedia.org/wiki/Wikipedia_talk:Meetup/GAU1

I am not sure whether the following page has issues related to this bug: http://as.wikipedia.org/wiki/Wikipedia:গ্ল'চাৰী  This page used to have nicely formated texts but now all it has are broken links.
Comment 38 Sam Reed (reedy) 2012-01-23 19:11:38 UTC
(In reply to comment #37)
> 
> I am not sure whether the following page has issues related to this bug:
> http://as.wikipedia.org/wiki/Wikipedia:গ্ল'চাৰী  This page used to have nicely
> formated texts but now all it has are broken links.

Are we still missing some other alias? Or a typo in them?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links